export * from "./token.store";
export * from "./user.store";
import company from '@/stores/modules/company.module';
import postloan from '@/stores/modules/postloan.module';
import faceSign from '@/stores/modules/faceSign.module';
import customer from '@/stores/modules/customer.module';
import Vue from 'vue';
import Vuex from 'vuex';
import dict from '@/services/dict.service';
Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    company,
    postloan,
    faceSign,
    customer
  }
});

/**
 * 获取数据字典的文本值
 * @param {*} s_field key值
 * @param {*} val value值
 */
export function getText(val: any, s_field: any) {
  return dict.getText(val, s_field);
}
/**
 * 获取数据字典
 * @param {*} s_field key值
 */
// export function getOptions(s_field: any) {
//   return dict.getOptions(s_field);
// }
